import { AuditList } from "@/components";
import { useShareAppMessage } from "@tarojs/taro";
import hocAuth from "@/hocs/auth";
import { CommonComponent } from "@/types/typings";

export default hocAuth(function Page(props: CommonComponent) {
  const { shareOptions } = props;

  useShareAppMessage((res) => {
    console.log("useShareAppMessage1", res, shareOptions);
    // 如果是按钮触发的转发，使用默认配置
    if (res.from === "button") {
      return shareOptions;
    }
    // 页面转发使用设置的配置
    return {};
  });

  return (
    <AuditList
      params={{
        state: "WAITING_AUDIT",
        type: "REVIEWER_AUDIT",
      }}
    />
  );
});
